Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
%define nb_            netbeans
%define nb_org         %{nb_}.org
%define nb_ver         6.5

Name:           %{nb_}-svnclientadapter
Version:        %{nb_ver}
Release:        alt1_2jpp6
Summary:        Subversion Client Adapter

License:        ASL 2.0
Url:            http://subclipse.tigris.org/svnClientAdapter.html
Group:          Development/Java

%define svnCA_ver      1.4.0
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn --username guest co \
#     http://subclipse.tigris.org/svn/subclipse/tags/subclipse/%{svnCA_ver}/svnClientAdapter \
#     svnClientAdapter
# tar -czvf svnClientAdapter-%{svnCA_ver}.tar.gz svnClientAdapter
Source0:        svnClientAdapter-%{svnCA_ver}.tar.gz

Patch0:         svnClientAdapter-%{svnCA_ver}-build.patch

BuildArch:      noarch

BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: ant-junit
BuildRequires: jpackage-utils
BuildRequires: subversion-javahl >= 1.5.0

Requires: jpackage-utils
Requires: subversion >= 1.4.5

Provides:       libnb-svnClientAdapter = 6.1

%description
SVNClientAdapter is a high-level Java API for Subversion.

%prep
%setup -q -n svnClientAdapter

# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%patch0 -p1 -b .sav

%{__ln_s} -f %{_javadir}//svnkit-javahl.jar lib/svnjavahl.jar


%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java 
ant -verbose svnClientAdapter.jar

%install
%{__rm} -fr %{buildroot}
# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc license.txt readme.txt
%{_javadir}/*

%changelog
* Thu Apr 30 2009 Igor Vlasenko <viy@altlinux.ru> 6.5-alt1_2jpp6
- new version

* Fri Dec 12 2008 Igor Vlasenko <viy@altlinux.ru> 6.1-alt1_3jpp6
- converted from JPackage by jppimport script

